
typedef struct
   {
    struct heap_block *first;
    struct heap_block *last;
    long              blocksize;
    unsigned char     *top_of_heap;
    long              free;
   }heap;

struct heap_block
   {
    struct          heap_block *next;
	   unsigned char       block[1];
   };    

Global heap *heap_create(long block_size);          
					    /* allocates memory for heap */
Global void *heap_allocate(heap *HEAP, long size); /* allocates on heap */
Global void *heap_delete(heap *HEAP);
