CC = tcc

DRIVE = l:
DEFS=

OPT = -ml -y -v 

LINKOPT = -ll 

SECURE =


SYS = -DMSDOS -DBCC

CFLAGS = $(OPT) $(SYS) $(DEFS) 

SRC =   main.c  heap.c library.c parse.c

OBJ =   main.obj heap.obj library.obj parse.obj 

all : texspell.exe

# default rules

texspell.exe: $(OBJ) 
	$(CC) -etexspell $(OPT) $(LINKOPT) $(OBJ)


main.obj: heap.h library.h parse.h texs.h main.c
	$(CC) -c $(CFLAGS) main.c
heap.obj: heap.h texs.h heap.c
	$(CC) -c $(CFLAGS) heap.c
library.obj: library.h texs.h heap.h library.c
	$(CC) -c $(CFLAGS) library.c
parse.obj: parse.h texs.h library.h heap.h parse.c
	$(CC) -c $(CFLAGS) parse.c
